Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class FdkException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              oracle.ifs.fdk.FdkException

All Implemented Interfaces:
  java.io.Serializable

    public class FdkException

extends java.lang.Exception
implements java.io.Serializable

The exception thrown by the framework.

See Also:
  Serialized Form

Constructor Summary
`FdkException()` Constructor required to be a Java Bean.
`FdkException(java.lang.String detailedErrorCode, java.lang.String errorCode, FdkExceptionEntry[] exceptionEntries, NamedValue[] info, java.lang.String serverStackTraceId)` Constructor for WebLogic web services.

Method Summary
`java.lang.String` | `getDetailedErrorCode()` Returns the detailed error code that may provide more information about the error.
`java.lang.String` | `getErrorCode()` Returns the main error code.
`FdkExceptionEntry[]` | `getExceptionEntries()` If this is an aggregate exception, it will return the individual entries, otherwise it returns `null`.
`NamedValue[]` | `getInfo()` Returns the optional info for this error.
`static FdkException` | `getInstance(java.lang.String detailedErrorCode, NamedValue[] info)` Constructs a new instance.
`static FdkException` | `getInstance(java.lang.String detailedErrorCode, java.lang.Throwable cause, NamedValue[] info)` Maps any Throwable to and FdkException, setting the error code explicitly.
`static FdkException` | `getInstance(java.lang.Throwable cause)` Maps any Throwable to an FdkException.
`static FdkException` | `getInstance(java.lang.Throwable cause, NamedValue[] info)` Maps any Throwable to an FdkException.
`static FdkException` | `getInstance(java.lang.Throwable cause, NamedValue[] info, boolean log)` Gives control over what needs to be logged.
`java.lang.String` | `getServerStackTraceId()` Returns the server stack trace ID for this exception.
`java.util.Map` | `infoMap()` Returns the options info for this error as a map.
`void` | `printLocalizedStackTrace(java.io.PrintStream stream)` Prints the stack trace of this FdkException to the specified PrintStream.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints the stack trace of this FdkException to the specified PrintWriter.
`void` | `setDetailedErrorCode(java.lang.String errorCode)` Always throws a RuntimeException.
`void` | `setErrorCode(java.lang.String errorCode)` Always throws a RuntimeException.
`void` | `setExceptionEntries(FdkExceptionEntry[] entries)` Always throws a RuntimeException.
`void` | `setInfo(NamedValue[] info)` Always throws a RuntimeException.
`void` | `setServerStackTraceId(java.lang.String id)` Sets the server stack trace ID.
`java.lang.String` | `toLogString(boolean includeStackTraces)` Returns a string representation of this exception.
`java.lang.String` | `toLogString(boolean includeMainStackTrace, boolean includeEntryStackTraces)` Returns a string representation of this exception.
`java.lang.String` | `toString()` Returns a minimal string representation of this exception (ERROR_CODE:DETAILED_ERROR_CODE).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FdkException

    public FdkException()

  Constructor required to be a Java Bean. Do not use it, it will always throw RuntimeException.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### FdkException

    public FdkException(java.lang.String detailedErrorCode,
                        java.lang.String errorCode,
                        FdkExceptionEntry[] exceptionEntries,
                        NamedValue[] info,
                        java.lang.String serverStackTraceId)

  Constructor for WebLogic web services. Do not use it, it will always throw RuntimeException.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

Method Detail

### getInstance

    public static FdkException getInstance(java.lang.String detailedErrorCode,
                                           NamedValue[] info)

  Description copied from class: `FdkException`
  Constructs a new instance.

  Parameters:
    `detailedErrorCode` - The detailed error code.
    `info` - The optional info about the error. It can be `null`.
  (Unpublished)

### getInstance

    public static FdkException getInstance(java.lang.Throwable cause)

  Description copied from class: `FdkException`
  Maps any Throwable to an FdkException. The additional information about the error will automatically be extracted from the cause exception if possible.

  Parameters:
    `cause` - The Throwable that occured.
  (Unpublished)

### getInstance

    public static FdkException getInstance(java.lang.Throwable cause,
                                           NamedValue[] info)

  Description copied from class: `FdkException`
  Maps any Throwable to an FdkException. The additional information about the error will automatically be extracted from the cause exception if possible and merged with the provided info in the constructor.

  Parameters:
    `cause` - The Throwable that occured.
    `info` - The additional information that should be merged with the info extracted. This information is considered the master, identical entries in the extracted information will be ignored. Can be `null`.
  (Unpublished)

### getInstance

    public static FdkException getInstance(java.lang.String detailedErrorCode,
                                           java.lang.Throwable cause,
                                           NamedValue[] info)

  Description copied from class: `FdkException`
  Maps any Throwable to and FdkException, setting the error code explicitly.

  Parameters:
    `detailedErrorCode` - The detailed error code.
    `cause` - The exception that was the cause for this exception.
    `info` - The optional info about the error. It can be `null`.
  (Unpublished)

### getInstance

    public static FdkException getInstance(java.lang.Throwable cause,
                                           NamedValue[] info,
                                           boolean log)

  Description copied from class: `FdkException`
  Gives control over what needs to be logged. Note that this method may still decide to log based on the severity of the error.

  Parameters:
    `cause` - The exception that was the cause for this exception.
    `info` - The additional information that should be merged with the info extracted. This information is considered the master, identical entries in the extracted information will be ignored. Can be `null`.
    `log` - If true the exception will always be logged, otherwise the exception may be logged if the implementation decides the error is important enough to be logged.
  (Unpublished)

### getErrorCode

    public java.lang.String getErrorCode()

  Description copied from class: `FdkException`
  Returns the main error code.

### setErrorCode

    public void setErrorCode(java.lang.String errorCode)

  Description copied from class: `FdkException`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### getDetailedErrorCode

    public java.lang.String getDetailedErrorCode()

  Description copied from class: `FdkException`
  Returns the detailed error code that may provide more information about the error. If a detailed error code is not available, the same value as the main error code will be returned.

### setDetailedErrorCode

    public void setDetailedErrorCode(java.lang.String errorCode)

  Description copied from class: `FdkException`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### getInfo

    public NamedValue[] getInfo()

  Description copied from class: `FdkException`
  Returns the optional info for this error.

### setInfo

    public void setInfo(NamedValue[] info)

  Description copied from class: `FdkException`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### infoMap

    public java.util.Map infoMap()

  Description copied from class: `FdkException`
  Returns the options info for this error as a map.

  (Unpublished)

### getServerStackTraceId

    public java.lang.String getServerStackTraceId()

  Description copied from class: `FdkException`
  Returns the server stack trace ID for this exception. This method is useful when invoking the API remotely. For in-process calls the cause exception (if any) is always available by calling `getCause()`.

### setServerStackTraceId

    public void setServerStackTraceId(java.lang.String id)

  Description copied from class: `FdkException`
  Sets the server stack trace ID. Method needs to be public in order for the object to be a Java Bean. This method should only be called by the logging methods to identify the stack trace in the log file.

  (Unpublished)

### getExceptionEntries

    public FdkExceptionEntry[] getExceptionEntries()

  Description copied from class: `FdkException`
  If this is an aggregate exception, it will return the individual entries, otherwise it returns `null`.

### setExceptionEntries

    public void setExceptionEntries(FdkExceptionEntry[] entries)

  Description copied from class: `FdkException`
  Always throws a RuntimeException. Method needs to be here in order for the object to be a Java Bean.

  Throws:
    `java.lang.RuntimeException` - Always.
  (Unpublished)

### toLogString

    public java.lang.String toLogString(boolean includeStackTraces)

  Description copied from class: `FdkException`
  Returns a string representation of this exception. Logging the result of this method should be guarded by the log level as the string computation is significant.

  Parameters:
    `includeStackTraces` - If true a more verbose string will be generated which also includes all the stack traces for the main exception as well as any entries.
  (Unpublished)

### toLogString

    public java.lang.String toLogString(boolean includeMainStackTrace,
                                        boolean includeEntryStackTraces)

  Description copied from class: `FdkException`
  Returns a string representation of this exception. Logging the result of this method should be guarded by the log level as the string computation is significant.

  Parameters:
    `includeMainStackTrace` - A boolean, true will include all the stack stack traces for the main FdkException.
    `includeEntryStackTraces` - A boolean, true will include all the stack traces for any entries.
  (Unpublished)

### toString

    public java.lang.String toString()

  Description copied from class: `FdkException`
  Returns a minimal string representation of this exception (ERROR_CODE:DETAILED_ERROR_CODE). For a detailed string representation see `toLogString()`

  Overrides:
    `toString` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Description copied from class: `FdkException`
  Prints the stack trace of this FdkException to the specified PrintWriter. This provides extra information for debugging.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - The PrintWriter to write to.

### printLocalizedStackTrace

    public void printLocalizedStackTrace(java.io.PrintStream stream)

  Description copied from class: `FdkException`
  Prints the stack trace of this FdkException to the specified PrintStream. This provides extra information for debugging.

  Parameters:
    `stream` - The PrintStream to write to.
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD